require "spec_helper"
require "pp"
require "similar_text"

describe SentrySummary::Aggregator do
  let(:client) do
    SentrySummary::Sentry.new do |sentry|
      sentry.token = "d2c9a2993de64aba98051152e4442ed97106eb9a8594449786a0b88b9a9e64e4"
      sentry.organization = "chicisimo"
    end
  end

  it "aggregates the events by route" do
    aggregator = SentrySummary::Aggregator.new(client)

    pp aggregator.events_by_route
  end

  it "aggregates the events by route" do
    aggregator = SentrySummary::Aggregator.new(client)

    pp aggregator.events_by_type
  end
end
